A B C D E F G H I J K L M N O P Q R S T U V W X Y
All Classes All Packages
All Classes All Packages
All Classes All Packages
A
- AbstractAsyncOnlyHttpClient - Class in com.github.scribejava.core.httpclient
-
Classe de base pour les clients HTTP fonctionnant uniquement en mode asynchrone.
- AbstractAsyncOnlyHttpClient() - Constructor for class com.github.scribejava.core.httpclient.AbstractAsyncOnlyHttpClient
- AbstractJsonExtractor<T extends Token> - Class in com.github.scribejava.core.extractors
-
Base abstraite pour tous les extracteurs de données au format JSON natif.
- AbstractJsonExtractor() - Constructor for class com.github.scribejava.core.extractors.AbstractJsonExtractor
- AbstractOAuth1JSONTokenExtractor<T extends OAuth1Token> - Class in com.github.scribejava.oauth1.extractors
-
Base JSON extractor for OAuth 1.0a tokens.
- AbstractOAuth1JSONTokenExtractor() - Constructor for class com.github.scribejava.oauth1.extractors.AbstractOAuth1JSONTokenExtractor
- AbstractOAuth1TokenExtractor<T extends OAuth1Token> - Class in com.github.scribejava.oauth1.extractors
-
Base extractor for OAuth 1.0a tokens.
- AbstractOAuth1TokenExtractor() - Constructor for class com.github.scribejava.oauth1.extractors.AbstractOAuth1TokenExtractor
- ACCESS_DENIED - com.github.scribejava.core.oauth2.OAuth2Error
-
RFC 6749, 5.2 Error Response.
- ACCESS_TOKEN - com.github.scribejava.core.revoke.TokenTypeHint
- ACCESS_TOKEN - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- AccessTokenRequestParams - Class in com.github.scribejava.core.oauth
-
Paramètres pour une requête d'obtention de jeton d'accès (Access Token).
- AccessTokenRequestParams(String) - Constructor for class com.github.scribejava.core.oauth.AccessTokenRequestParams
-
Constructeur.
- ACCOUNT_SELECTION_REQUIRED - com.github.scribejava.core.oauth2.OAuth2Error
-
OIDC Core 1.0, 3.1.2.6.
- add(String, Object) - Method in class com.github.scribejava.core.model.JsonBuilder
-
Ajoute une paire clé/valeur.
- add(String, String) - Method in class com.github.scribejava.core.model.ParameterList
-
Ajoute un nouveau paramètre.
- addAll(ParameterList) - Method in class com.github.scribejava.core.model.ParameterList
-
Ajoute tous les paramètres d'une autre liste.
- addBodyParameter(String, String) - Method in class com.github.scribejava.core.model.OAuthRequest
-
Ajoute un paramètre au corps de la requête (pour POST/PUT).
- addBodyPart(BodyPartPayload) - Method in class com.github.scribejava.core.httpclient.multipart.MultipartPayload
-
Ajoute une partie au corps Multipart.
- addBodyPart(MultipartPayload) - Method in class com.github.scribejava.core.httpclient.multipart.MultipartPayload
-
Ajoute un corps Multipart imbriqué.
- addClientAuthentication(OAuthRequest) - Method in class com.github.scribejava.oidc.clientauthentication.PrivateKeyJwtClientAuthentication
-
Ajoute l'assertion JWT d'authentification client à la requête.
- addClientAuthentication(OAuthRequest, String, String) - Method in interface com.github.scribejava.core.oauth2.clientauthentication.ClientAuthentication
-
Ajoute les informations d'authentification du client à la requête.
- addClientAuthentication(OAuthRequest, String, String) - Method in class com.github.scribejava.core.oauth2.clientauthentication.HttpBasicAuthenticationScheme
- addClientAuthentication(OAuthRequest, String, String) - Method in class com.github.scribejava.core.oauth2.clientauthentication.RequestBodyAuthenticationScheme
- addClientAuthentication(OAuthRequest, String, String) - Method in class com.github.scribejava.oidc.clientauthentication.PrivateKeyJwtClientAuthentication
- addHeader(String, String) - Method in class com.github.scribejava.core.model.OAuthRequest
-
Ajoute un en-tête HTTP à la requête.
- additionalParams(Map<String, String>) - Method in class com.github.scribejava.core.oauth.AuthorizationUrlBuilder
- addOAuthParameter(String, String) - Method in class com.github.scribejava.core.model.OAuthRequest
-
Ajoute un paramètre OAuth.
- addOAuthParams(OAuthRequest, String) - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Ajoute les paramètres OAuth standards à la requête.
- addParameter(String, String) - Method in class com.github.scribejava.core.model.OAuthRequest
-
Ajoute un paramètre de manière intelligente selon le verbe HTTP.
- addQuerystring(String) - Method in class com.github.scribejava.core.model.ParameterList
-
Analyse une QueryString et ajoute les paramètres extraits à la liste.
- addQuerystringParameter(String, String) - Method in class com.github.scribejava.core.model.OAuthRequest
-
Ajoute un paramètre à la chaîne de requête (QueryString).
- AMPERSAND_SEPARATED_STRING - Static variable in class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- apiKey(String) - Method in class com.github.scribejava.core.builder.ServiceBuilder
- apiSecret(String) - Method in class com.github.scribejava.core.builder.ServiceBuilder
- apiSecret(String) - Method in class com.github.scribejava.oidc.OidcServiceBuilder
- appendSignature(OAuthRequest) - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Ajoute la signature calculée à la requête (en-tête ou chaîne de requête).
- appendTo(String) - Method in class com.github.scribejava.core.model.ParameterList
-
Ajoute les paramètres à une URL existante.
- ArmeriaHttpClient - Class in com.github.scribejava.httpclient.armeria
-
Implémentation du client HTTP utilisant Armeria.
- ArmeriaHttpClient(ArmeriaHttpClientConfig) - Constructor for class com.github.scribejava.httpclient.armeria.ArmeriaHttpClient
-
Constructeur avec configuration.
- ArmeriaHttpClientConfig - Class in com.github.scribejava.httpclient.armeria
-
Configuration pour le client HTTP Armeria.
- ArmeriaHttpClientConfig(ClientOptions, ClientFactory) - Constructor for class com.github.scribejava.httpclient.armeria.ArmeriaHttpClientConfig
- ArmeriaProvider - Class in com.github.scribejava.httpclient.armeria
-
Fournisseur de client HTTP utilisant Armeria.
- ArmeriaProvider() - Constructor for class com.github.scribejava.httpclient.armeria.ArmeriaProvider
- ArmeriaWebClientBuilder - Class in com.github.scribejava.httpclient.armeria
-
A builder of
WebClientusing supplied configuration parameters. - Asana20Api - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Asana.
- Asana20Api() - Constructor for class com.github.scribejava.apis.Asana20Api
-
Constructeur protégé.
- asFormUrlEncodedString() - Method in class com.github.scribejava.core.model.ParameterList
-
Retourne la liste sous forme de chaîne encodée application/x-www-form-urlencoded.
- asMap() - Method in class com.github.scribejava.core.model.JsonBuilder
- asMap() - Method in class com.github.scribejava.core.model.JsonObject
- asMap() - Method in class com.github.scribejava.core.model.ParameterList
-
Retourne les paramètres sous forme de Map.
- asOauthBaseString() - Method in class com.github.scribejava.core.model.ParameterList
-
Retourne la liste sous forme de chaîne encodée pour la base OAuth (OAuth Base String).
- asUrlEncodedPair() - Method in class com.github.scribejava.core.model.Parameter
-
Retourne le paramètre sous forme de paire encodée pour URL.
- AuthEventListener<K> - Interface in com.github.scribejava.core.integration
-
Interface pour l'écoute des événements liés à l'authentification.
- AuthFlowCoordinator<K> - Class in com.github.scribejava.core.integration
-
Coordonne la fin du flux d'autorisation (Callback).
- AuthFlowCoordinator(OAuth20Service, TokenRepository<K, ExpiringTokenWrapper>) - Constructor for class com.github.scribejava.core.integration.AuthFlowCoordinator
- AUTHORIZATION_CODE - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- AUTHORIZATION_PENDING - com.github.scribejava.core.oauth2.OAuth2Error
-
RFC 8628, 3.5.
- AuthorizationCodeGrant - Class in com.github.scribejava.core.oauth2.grant
-
Représente la concession de type "Authorization Code" (code d'autorisation).
- AuthorizationCodeGrant(String) - Constructor for class com.github.scribejava.core.oauth2.grant.AuthorizationCodeGrant
-
Constructeur.
- authorizationRequestConverter(AuthorizationRequestConverter) - Method in class com.github.scribejava.core.builder.ServiceBuilder
-
Définit le convertisseur de requête d'autorisation (ex: pour JAR ou PAR).
- AuthorizationRequestConverter - Interface in com.github.scribejava.core.oauth
-
Strategy to convert authorization request parameters.
- AuthorizationRequestInterceptor - Interface in com.github.scribejava.core.oauth
-
Intercepteur pour modifier les paramètres d'une requête d'autorisation avant son envoi ou sa génération.
- AuthorizationUrlBuilder - Class in com.github.scribejava.core.oauth
-
Constructeur fluide pour les URLs d'autorisation OAuth 2.0.
- AuthorizationUrlBuilder(OAuth20Service) - Constructor for class com.github.scribejava.core.oauth.AuthorizationUrlBuilder
- AuthorizedClientService<K> - Class in com.github.scribejava.core.integration
-
Service de haut niveau permettant d'exécuter des requêtes authentifiées sans gérer manuellement le cycle de vie du jeton.
- AuthorizedClientService(OAuth20Service, TokenAutoRenewer<K>) - Constructor for class com.github.scribejava.core.integration.AuthorizedClientService
- AuthResult - Class in com.github.scribejava.core.integration
-
Résultat d'un flux d'authentification réussi.
- AuthResult(OAuth2AccessToken) - Constructor for class com.github.scribejava.core.integration.AuthResult
- AuthSessionContext - Class in com.github.scribejava.core.integration
-
Regroupe les données transitoires nécessaires pour sécuriser et terminer un flux d'autorisation.
- AuthSessionContext(String, String, PKCE) - Constructor for class com.github.scribejava.core.integration.AuthSessionContext
- AWeberApi - Class in com.github.scribejava.oauth1.apis
-
API OAuth 1.0a pour AWeber.
- AWeberApi() - Constructor for class com.github.scribejava.oauth1.apis.AWeberApi
B
- BaseMicrosoftAzureActiveDirectoryApi - Class in com.github.scribejava.apis.microsoftazureactivedirectory
-
Classe de base pour les APIs Microsoft Azure Active Directory.
- BaseMicrosoftAzureActiveDirectoryApi() - Constructor for class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
-
Constructeur utilisant le tenant par défaut.
- BaseMicrosoftAzureActiveDirectoryApi(String) - Constructor for class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
-
Constructeur pour un tenant spécifique.
- BaseMicrosoftAzureActiveDirectoryBearerSignature - Class in com.github.scribejava.apis.microsoftazureactivedirectory
-
Classe de base pour la signature Bearer spécifique à Microsoft Azure Active Directory.
- BaseMicrosoftAzureActiveDirectoryBearerSignature(String) - Constructor for class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryBearerSignature
-
Constructeur.
- baseOnDiscovery(String, HttpClient, String) - Method in class com.github.scribejava.oidc.OidcServiceBuilder
-
Configure automatiquement les endpoints via OIDC Discovery.
- BaseStringExtractor - Interface in com.github.scribejava.core.extractors
-
Simple command object that extracts a base string from a
OAuthRequest - BaseStringExtractorImpl - Class in com.github.scribejava.core.extractors
-
Default implementation of
BaseStringExtractor. - BaseStringExtractorImpl() - Constructor for class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- BASIC - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- BearerSignature - Interface in com.github.scribejava.core.oauth2.bearersignature
-
Represents
2. - BearerSignatureAuthorizationRequestHeaderField - Class in com.github.scribejava.core.oauth2.bearersignature
-
2.1.
- BearerSignatureAuthorizationRequestHeaderField() - Constructor for class com.github.scribejava.core.oauth2.bearersignature.BearerSignatureAuthorizationRequestHeaderField
- BearerSignatureURIQueryParameter - Class in com.github.scribejava.core.oauth2.bearersignature
-
2.3.
- BearerSignatureURIQueryParameter() - Constructor for class com.github.scribejava.core.oauth2.bearersignature.BearerSignatureURIQueryParameter
- betaInstance() - Static method in class com.github.scribejava.oauth1.apis.MediaWikiApi
- BodyPartPayload - Class in com.github.scribejava.core.httpclient.multipart
-
Classe de base abstraite pour le contenu d'une partie d'une requête Multipart.
- BodyPartPayload() - Constructor for class com.github.scribejava.core.httpclient.multipart.BodyPartPayload
-
Constructeur par défaut sans en-tête.
- BodyPartPayload(Map<String, String>) - Constructor for class com.github.scribejava.core.httpclient.multipart.BodyPartPayload
-
Constructeur avec une map d'en-têtes.
- BoxApi20 - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Box.
- BoxApi20() - Constructor for class com.github.scribejava.apis.BoxApi20
-
Constructeur protégé.
- build() - Method in class com.github.scribejava.core.builder.ScopeBuilder
-
Construit la chaîne de portée finale.
- build() - Method in class com.github.scribejava.core.model.JsonBuilder
- build() - Method in class com.github.scribejava.core.oauth.AuthorizationUrlBuilder
- build(DefaultApi20) - Method in class com.github.scribejava.core.builder.ServiceBuilder
- build(DefaultApi20) - Method in interface com.github.scribejava.core.builder.ServiceBuilderOAuth20
-
Construit le service OAuth 2.0.
- build(DefaultOidcApi20) - Method in class com.github.scribejava.oidc.OidcServiceBuilder
-
Construit une instance de service OIDC sans nécessiter de cast manuel.
- buildAndSign(JwtSigner, PrivateKey) - Method in class com.github.scribejava.oidc.model.JwtBuilder
- ByteArrayBodyPartPayload - Class in com.github.scribejava.core.httpclient.multipart
-
Implémentation de
BodyPartPayloadpour les données en tableau d'octets (byte array). - ByteArrayBodyPartPayload(byte[]) - Constructor for class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Constructeur simple sans en-tête.
- ByteArrayBodyPartPayload(byte[], int, int, Map<String, String>) - Constructor for class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Constructeur complet.
- ByteArrayBodyPartPayload(byte[], String) - Constructor for class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Constructeur avec type de contenu.
- ByteArrayBodyPartPayload(byte[], Map<String, String>) - Constructor for class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Constructeur avec en-têtes.
C
- callback(String) - Method in class com.github.scribejava.core.builder.ServiceBuilder
- callback(String) - Method in interface com.github.scribejava.core.builder.ServiceBuilderOAuth20
- callback(String) - Method in class com.github.scribejava.oidc.OidcServiceBuilder
- CALLBACK - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- checkBoundarySyntax(String) - Static method in class com.github.scribejava.core.httpclient.multipart.MultipartUtils
-
Vérifie la syntaxe d'un séparateur (boundary).
- checkEmptyString(String, String) - Static method in class com.github.scribejava.core.utils.Preconditions
-
Vérifie qu'une chaîne n'est ni nulle ni vide.
- checkForError(Response) - Method in class com.github.scribejava.core.oauth.OAuth20RevocationHandler
- checkNotNull(Object, String) - Static method in class com.github.scribejava.core.utils.Preconditions
-
Vérifie qu'un objet n'est pas nul.
- checkPreconditions(OAuthRequest) - Method in class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- claim(String, Object) - Method in class com.github.scribejava.oidc.model.JwtBuilder
- clear() - Method in class com.github.scribejava.core.integration.OidcDiscoveryCache
-
Vide le cache.
- clear() - Method in class com.github.scribejava.oidc.DefaultOidcKeyCache
-
Clears all cached keys.
- clear() - Method in interface com.github.scribejava.oidc.OidcKeyCache
-
Clears all cached keys.
- clearCache() - Static method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Vide le cache des métadonnées (pour tests ou rafraîchissement forcé).
- clearJwksCache() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Clears the JWKS cache of this instance (mainly used for testing).
- CLIENT_CREDENTIALS - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- CLIENT_ID - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- CLIENT_SECRET - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- ClientAuthentication - Interface in com.github.scribejava.core.oauth2.clientauthentication
-
Represents
2.3. - ClientCredentialsGrant - Class in com.github.scribejava.core.oauth2.grant
-
Représente la concession de type "Client Credentials" (identifiants du client).
- ClientCredentialsGrant() - Constructor for class com.github.scribejava.core.oauth2.grant.ClientCredentialsGrant
-
Constructeur par défaut.
- ClientCredentialsGrant(String) - Constructor for class com.github.scribejava.core.oauth2.grant.ClientCredentialsGrant
-
Constructeur avec une portée (scope) spécifique.
- close() - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- close() - Method in class com.github.scribejava.core.model.Response
-
Ferme la réponse et libère les ressources associées (flux, connexions).
- close() - Method in class com.github.scribejava.core.oauth.OAuthService
- close() - Method in class com.github.scribejava.httpclient.armeria.ArmeriaHttpClient
- close() - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- close() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
- CODE - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- com.github.scribejava.apis - package com.github.scribejava.apis
- com.github.scribejava.apis.google - package com.github.scribejava.apis.google
- com.github.scribejava.apis.microsoftazureactivedirectory - package com.github.scribejava.apis.microsoftazureactivedirectory
- com.github.scribejava.apis.openid - package com.github.scribejava.apis.openid
- com.github.scribejava.apis.polar - package com.github.scribejava.apis.polar
- com.github.scribejava.apis.slack - package com.github.scribejava.apis.slack
- com.github.scribejava.core.builder - package com.github.scribejava.core.builder
- com.github.scribejava.core.builder.api - package com.github.scribejava.core.builder.api
- com.github.scribejava.core.dpop - package com.github.scribejava.core.dpop
- com.github.scribejava.core.exceptions - package com.github.scribejava.core.exceptions
- com.github.scribejava.core.extractors - package com.github.scribejava.core.extractors
- com.github.scribejava.core.httpclient - package com.github.scribejava.core.httpclient
- com.github.scribejava.core.httpclient.jdk - package com.github.scribejava.core.httpclient.jdk
- com.github.scribejava.core.httpclient.multipart - package com.github.scribejava.core.httpclient.multipart
- com.github.scribejava.core.integration - package com.github.scribejava.core.integration
- com.github.scribejava.core.model - package com.github.scribejava.core.model
- com.github.scribejava.core.oauth - package com.github.scribejava.core.oauth
- com.github.scribejava.core.oauth2 - package com.github.scribejava.core.oauth2
- com.github.scribejava.core.oauth2.bearersignature - package com.github.scribejava.core.oauth2.bearersignature
- com.github.scribejava.core.oauth2.clientauthentication - package com.github.scribejava.core.oauth2.clientauthentication
- com.github.scribejava.core.oauth2.grant - package com.github.scribejava.core.oauth2.grant
- com.github.scribejava.core.pkce - package com.github.scribejava.core.pkce
- com.github.scribejava.core.revoke - package com.github.scribejava.core.revoke
- com.github.scribejava.core.services - package com.github.scribejava.core.services
- com.github.scribejava.core.utils - package com.github.scribejava.core.utils
- com.github.scribejava.httpclient.armeria - package com.github.scribejava.httpclient.armeria
- com.github.scribejava.httpclient.okhttp - package com.github.scribejava.httpclient.okhttp
- com.github.scribejava.oauth1.apis - package com.github.scribejava.oauth1.apis
- com.github.scribejava.oauth1.builder.api - package com.github.scribejava.oauth1.builder.api
- com.github.scribejava.oauth1.extractors - package com.github.scribejava.oauth1.extractors
- com.github.scribejava.oauth1.model - package com.github.scribejava.oauth1.model
- com.github.scribejava.oauth1.oauth - package com.github.scribejava.oauth1.oauth
- com.github.scribejava.oauth1.services - package com.github.scribejava.oauth1.services
- com.github.scribejava.oidc - package com.github.scribejava.oidc
- com.github.scribejava.oidc.clientauthentication - package com.github.scribejava.oidc.clientauthentication
- com.github.scribejava.oidc.dpop - package com.github.scribejava.oidc.dpop
- com.github.scribejava.oidc.jar - package com.github.scribejava.oidc.jar
- com.github.scribejava.oidc.model - package com.github.scribejava.oidc.model
- COMMON_TENANT - Static variable in class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
- compareTo(Parameter) - Method in class com.github.scribejava.core.model.Parameter
- composeBaseUrlWithRealm(String, String) - Static method in class com.github.scribejava.apis.KeycloakApi
- CONSENT_REQUIRED - com.github.scribejava.core.oauth2.OAuth2Error
-
OIDC Core 1.0, 3.1.2.6.
- CONSUMER_KEY - Static variable in interface com.github.scribejava.core.model.OAuthConstants
- contains(Parameter) - Method in class com.github.scribejava.core.model.ParameterList
-
Vérifie si la liste contient un paramètre spécifique.
- CONTENT_LENGTH - Static variable in interface com.github.scribejava.core.httpclient.HttpClient
-
En-tête HTTP Content-Length.
- CONTENT_TYPE - Static variable in interface com.github.scribejava.core.httpclient.HttpClient
-
En-tête HTTP Content-Type.
- convert(Response) - Method in interface com.github.scribejava.core.model.OAuthRequest.ResponseConverter
-
Convertit la réponse HTTP.
- convert(Map<String, String>) - Method in interface com.github.scribejava.core.oauth.AuthorizationRequestConverter
-
Convertit les paramètres de la requête d'autorisation.
- convert(Map<String, String>) - Method in class com.github.scribejava.oidc.jar.JarAuthorizationRequestConverter
- convertContentTypeToHeaders(String) - Static method in class com.github.scribejava.core.httpclient.multipart.BodyPartPayload
-
Convertit un type de contenu en une map d'en-têtes.
- createAccessTokenClientCredentialsGrantRequest() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- createAccessTokenPasswordGrantRequest() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- createAuthorizationUrlBuilder() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- createClient(HttpClientConfig) - Method in interface com.github.scribejava.core.httpclient.HttpClientProvider
-
Crée un client HTTP à partir d'une configuration.
- createClient(HttpClientConfig) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpProvider
-
Crée un client HTTP à partir d'une configuration.
- createClient(HttpClientConfig) - Method in class com.github.scribejava.httpclient.armeria.ArmeriaProvider
-
Crée un client HTTP à partir d'une configuration.
- createClient(HttpClientConfig) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpProvider
-
Crée un client HTTP à partir d'une configuration.
- createDeviceAuthorizationCodesRequest(String) - Method in class com.github.scribejava.core.oauth.OAuth20DeviceFlowHandler
- createDPoPProof(OAuthRequest, String) - Method in interface com.github.scribejava.core.dpop.DPoPProofCreator
-
Creates a DPoP proof JWT for a given HTTP request.
- createDPoPProof(OAuthRequest, String) - Method in class com.github.scribejava.oidc.dpop.DefaultDPoPProofCreator
- createPushedAuthorizationRequest(String, String, String, String, String, Map<String, String>) - Method in class com.github.scribejava.core.oauth.OAuth20PushedAuthHandler
-
Crée la requête HTTP pour l'appel au point de terminaison PAR.
- createRefreshTokenRequest(String, String) - Method in class com.github.scribejava.core.oauth.OAuth20Service
- createRequest(OAuth20Service) - Method in class com.github.scribejava.core.oauth2.grant.AuthorizationCodeGrant
- createRequest(OAuth20Service) - Method in class com.github.scribejava.core.oauth2.grant.ClientCredentialsGrant
- createRequest(OAuth20Service) - Method in class com.github.scribejava.core.oauth2.grant.DeviceCodeGrant
- createRequest(OAuth20Service) - Method in interface com.github.scribejava.core.oauth2.grant.OAuth20Grant
-
Crée la requête HTTP permettant d'échanger une concession d'autorisation (grant) contre un jeton d'accès.
- createRequest(OAuth20Service) - Method in class com.github.scribejava.core.oauth2.grant.PasswordGrant
- createRequest(OAuth20Service) - Method in class com.github.scribejava.core.oauth2.grant.RefreshTokenGrant
- createRequestObject(Map<String, String>) - Method in class com.github.scribejava.oidc.jar.RequestObjectService
-
Crée un objet de requête JWT (Request Object).
- createRevokeTokenRequest(String, TokenTypeHint) - Method in class com.github.scribejava.core.oauth.OAuth20RevocationHandler
- createRevokeTokenRequest(String, TokenTypeHint) - Method in class com.github.scribejava.core.oauth.OAuth20Service
- createService(String, String, String, String, String, OutputStream, String, HttpClientConfig, HttpClient) - Method in class com.github.scribejava.apis.PolarAPI
- createService(String, String, String, String, String, OutputStream, String, HttpClientConfig, HttpClient) - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Crée l'instance de service OAuth 2.0.
- createService(String, String, String, String, String, OutputStream, String, HttpClientConfig, HttpClient) - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- createService(String, String, String, String, String, OutputStream, String, HttpClientConfig, HttpClient, DPoPProofCreator) - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Crée l'instance de service OAuth 2.0 supportant DPoP.
- createToken(String) - Method in class com.github.scribejava.apis.google.GoogleDeviceAuthorizationJsonExtractor
- createToken(String) - Method in class com.github.scribejava.core.extractors.AbstractJsonExtractor
- createToken(String) - Method in class com.github.scribejava.core.extractors.DeviceAuthorizationJsonExtractor
- createToken(String) - Method in class com.github.scribejava.core.extractors.OAuth2AccessTokenJsonExtractor
- createToken(String) - Method in class com.github.scribejava.oauth1.extractors.OAuth1AccessTokenJSONExtractor
- createToken(String) - Method in class com.github.scribejava.oauth1.extractors.OAuth1RequestTokenJSONExtractor
- createToken(String, String, Integer, String, String, JsonObject, String) - Method in class com.github.scribejava.apis.openid.OpenIdJsonTokenExtractor
- createToken(String, String, Integer, String, String, JsonObject, String) - Method in class com.github.scribejava.apis.polar.PolarJsonTokenExtractor
- createToken(String, String, Integer, String, String, JsonObject, String) - Method in class com.github.scribejava.apis.slack.SlackJsonTokenExtractor
- createToken(String, String, Integer, String, String, JsonObject, String) - Method in class com.github.scribejava.core.extractors.OAuth2AccessTokenJsonExtractor
-
Méthode de création de jeton personnalisable.
- custom(String) - Static method in class com.github.scribejava.oidc.OidcMicrosoftAzureActiveDirectory20Api
-
Crée une nouvelle instance de l'API pour un tenant spécifique.
D
- DataportenApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Dataporten.
- DataportenApi() - Constructor for class com.github.scribejava.apis.DataportenApi
-
Constructeur protégé.
- debug() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- debug() - Method in interface com.github.scribejava.core.builder.ServiceBuilderOAuth20
- debugStream(OutputStream) - Method in class com.github.scribejava.core.builder.ServiceBuilder
- decode(String) - Static method in class com.github.scribejava.core.utils.OAuthEncoder
-
Décode une chaîne de caractères provenant d'une URL.
- DEFAULT_CONTENT_TYPE - Static variable in interface com.github.scribejava.core.httpclient.HttpClient
-
Type de contenu par défaut pour les requêtes OAuth.
- DefaultApi10a - Class in com.github.scribejava.oauth1.builder.api
-
Implémentation par défaut du protocole OAuth, version 1.0a.
- DefaultApi10a() - Constructor for class com.github.scribejava.oauth1.builder.api.DefaultApi10a
- DefaultApi20 - Class in com.github.scribejava.core.builder.api
-
Implémentation par défaut du protocole OAuth, version 2.0.
- DefaultApi20() - Constructor for class com.github.scribejava.core.builder.api.DefaultApi20
- defaultConfig() - Static method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClientConfig
-
Crée une configuration par défaut.
- defaultConfig() - Static method in class com.github.scribejava.httpclient.armeria.ArmeriaHttpClientConfig
-
Creates new
ArmeriaHttpClientConfigusing default settings. - defaultConfig() - Static method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClientConfig
-
Crée une configuration par défaut.
- DefaultDPoPProofCreator - Class in com.github.scribejava.oidc.dpop
-
Implémentation par défaut de
DPoPProofCreatornative ScribeJava. - DefaultDPoPProofCreator() - Constructor for class com.github.scribejava.oidc.dpop.DefaultDPoPProofCreator
-
Constructeur par défaut générant une paire de clés RSA 2048 bits éphémère.
- DefaultDPoPProofCreator(PrivateKey, PublicKey, JwtSigner) - Constructor for class com.github.scribejava.oidc.dpop.DefaultDPoPProofCreator
- defaultInstance() - Static method in class com.github.scribejava.core.pkce.PKCEService
- DefaultIssuerValidator - Class in com.github.scribejava.oidc
-
Default implementation of
IssuerValidatorsupporting standard matching and multi-tenant placeholders. - DefaultIssuerValidator() - Constructor for class com.github.scribejava.oidc.DefaultIssuerValidator
- DefaultOAuthLogger - Class in com.github.scribejava.core.model
-
Implémentation par défaut de
OAuthLoggerqui formate et écrit les requêtes et réponses OAuth sur un flux de sortie, tout en masquant de manière sécurisée les secrets. - DefaultOAuthLogger() - Constructor for class com.github.scribejava.core.model.DefaultOAuthLogger
-
Constructeur par défaut écrivant sur la sortie standard (System.out).
- DefaultOAuthLogger(OutputStream) - Constructor for class com.github.scribejava.core.model.DefaultOAuthLogger
-
Constructeur avec un
OutputStream. - DefaultOidcApi20 - Class in com.github.scribejava.oidc
-
Classe de base pour les APIs OpenID Connect 1.0.
- DefaultOidcApi20() - Constructor for class com.github.scribejava.oidc.DefaultOidcApi20
- DefaultOidcKeyCache - Class in com.github.scribejava.oidc
-
Default in-memory implementation of
OidcKeyCacheusing aConcurrentHashMap. - DefaultOidcKeyCache() - Constructor for class com.github.scribejava.oidc.DefaultOidcKeyCache
- DefaultOidcSessionStateStore - Class in com.github.scribejava.oidc
-
Default in-memory implementation of
OidcSessionStateStoreusing aConcurrentHashMap. - DefaultOidcSessionStateStore() - Constructor for class com.github.scribejava.oidc.DefaultOidcSessionStateStore
- defaultScope(String) - Method in class com.github.scribejava.core.builder.ServiceBuilder
- defaultScope(String) - Method in class com.github.scribejava.oidc.OidcServiceBuilder
- DefaultSignatureVerifier - Class in com.github.scribejava.oidc.model
-
Default implementation of
SignatureVerifierextendingJwtSignatureVerifier. - DefaultSignatureVerifier() - Constructor for class com.github.scribejava.oidc.model.DefaultSignatureVerifier
-
Default constructor initializing standard algorithm mappings.
- DELETE - com.github.scribejava.core.model.Verb
- DELETE - com.github.scribejava.oauth1.apis.FlickrApi.FlickrPerm
- deleteByKey(K) - Method in interface com.github.scribejava.core.integration.TokenRepository
-
Supprime un jeton (ex: lors d'une déconnexion).
- DeviceAuthorization - Class in com.github.scribejava.core.model
-
Device Authorization Response
- DeviceAuthorization(String, String, String, int) - Constructor for class com.github.scribejava.core.model.DeviceAuthorization
-
Constructeur.
- DeviceAuthorizationJsonExtractor - Class in com.github.scribejava.core.extractors
-
Extracteur JSON natif pour le Device Flow (RFC 8628).
- DeviceAuthorizationJsonExtractor() - Constructor for class com.github.scribejava.core.extractors.DeviceAuthorizationJsonExtractor
- DeviceCodeGrant - Class in com.github.scribejava.core.oauth2.grant
-
Représente la concession de type "Device Code" (code d'appareil).
- DeviceCodeGrant(String) - Constructor for class com.github.scribejava.core.oauth2.grant.DeviceCodeGrant
-
Constructeur.
- DiggApi - Class in com.github.scribejava.oauth1.apis
-
API OAuth 1.0a pour Digg.
- DiggApi() - Constructor for class com.github.scribejava.oauth1.apis.DiggApi
- DiscordApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Discord.
- discoverAsync() - Method in interface com.github.scribejava.core.oauth.DiscoveryService
-
Effectue la découverte des points de terminaison (endpoints) de manière asynchrone.
- discoverAsync() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
- DiscoveredEndpoints - Class in com.github.scribejava.core.oauth
-
Représente les points de terminaison (endpoints) découverts via un service de découverte.
- DiscoveredEndpoints(String, String) - Constructor for class com.github.scribejava.core.oauth.DiscoveredEndpoints
-
Constructeur.
- discoverFromIssuer(String, DiscoveryService) - Method in class com.github.scribejava.core.builder.ServiceBuilder
-
Configure la découverte automatique des points de terminaison à partir d'un émetteur (Issuer).
- DiscoveryService - Interface in com.github.scribejava.core.oauth
-
Interface for discovery services.
- DiskOidcDiscoveryCache - Class in com.github.scribejava.core.integration
-
Implémentation du cache de découverte OIDC avec persistance sur disque.
- DiskOidcDiscoveryCache(File) - Constructor for class com.github.scribejava.core.integration.DiskOidcDiscoveryCache
-
Construit un cache sur disque avec un TTL par défaut de 24h.
- DiskOidcDiscoveryCache(File, long) - Constructor for class com.github.scribejava.core.integration.DiskOidcDiscoveryCache
-
Construit un cache sur disque avec un TTL personnalisé.
- DoktornaraboteApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Doktornarabote.
- DoktornaraboteApi() - Constructor for class com.github.scribejava.apis.DoktornaraboteApi
-
Constructeur protégé.
- dpop(DPoPProofCreator) - Method in class com.github.scribejava.core.builder.ServiceBuilder
-
Active le support DPoP.
- DPoPInterceptor - Class in com.github.scribejava.core.dpop
-
Intercepteur ajoutant les en-têtes DPoP aux requêtes.
- DPoPInterceptor(DPoPProofCreator) - Constructor for class com.github.scribejava.core.dpop.DPoPInterceptor
-
Constructeur.
- DPoPInterceptor(DPoPProofCreator, String) - Constructor for class com.github.scribejava.core.dpop.DPoPInterceptor
-
Constructeur complet.
- DPoPProofCreator - Interface in com.github.scribejava.core.dpop
-
Interface for creating DPoP proof JWTs.
- DropboxApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Dropbox.
- DropboxApi() - Constructor for class com.github.scribejava.apis.DropboxApi
-
Constructeur protégé.
E
- EcOidcKey - Class in com.github.scribejava.oidc.model
-
Implémentation Elliptic Curve (EC) d'une clé OIDC.
- EcOidcKey(String, String, PublicKey) - Constructor for class com.github.scribejava.oidc.model.EcOidcKey
- encode(String) - Static method in class com.github.scribejava.core.utils.OAuthEncoder
-
Encode une chaîne de caractères pour une utilisation dans une URL.
- equals(Object) - Method in class com.github.scribejava.apis.openid.OpenIdOAuth2AccessToken
- equals(Object) - Method in class com.github.scribejava.apis.polar.PolarOAuth2AccessToken
- equals(Object) - Method in class com.github.scribejava.apis.slack.SlackOAuth2AccessToken
- equals(Object) - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- equals(Object) - Method in exception com.github.scribejava.core.model.OAuthResponseException
- equals(Object) - Method in class com.github.scribejava.core.model.Parameter
- equals(Object) - Method in class com.github.scribejava.oauth1.model.OAuth1Token
- equals(Object) - Method in class com.github.scribejava.oidc.IdToken
- equals(Object) - Method in class com.github.scribejava.oidc.model.OidcNonce
- equals(Object) - Method in class com.github.scribejava.oidc.StandardClaims
- EtsyApi - Class in com.github.scribejava.oauth1.apis
-
API OAuth 1.0a pour Etsy.
- EtsyApi() - Constructor for class com.github.scribejava.oauth1.apis.EtsyApi
- EtsyApi(Collection<String>) - Constructor for class com.github.scribejava.oauth1.apis.EtsyApi
- execute(OAuthRequest) - Method in class com.github.scribejava.core.oauth.OAuthService
-
Exécute une requête OAuth de manière synchrone.
- execute(OAuthRequest, OAuthAsyncRequestCallback<Response>) - Method in class com.github.scribejava.core.oauth.OAuthService
-
Exécute une requête OAuth de manière asynchrone avec un rappel.
- execute(OAuthRequest, OAuthAsyncRequestCallback<R>, OAuthRequest.ResponseConverter<R>) - Method in class com.github.scribejava.core.oauth.OAuthService
-
Exécute une requête OAuth de manière asynchrone avec un rappel et un convertisseur de réponse.
- execute(String, Map<String, String>, Verb, String, byte[]) - Method in class com.github.scribejava.core.httpclient.AbstractAsyncOnlyHttpClient
- execute(String, Map<String, String>, Verb, String, byte[]) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière synchrone avec un corps sous forme de tableau d'octets.
- execute(String, Map<String, String>, Verb, String, byte[]) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- execute(String, Map<String, String>, Verb, String, byte[]) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- execute(String, Map<String, String>, Verb, String, MultipartPayload) - Method in class com.github.scribejava.core.httpclient.AbstractAsyncOnlyHttpClient
- execute(String, Map<String, String>, Verb, String, MultipartPayload) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière synchrone avec un corps multipart.
- execute(String, Map<String, String>, Verb, String, MultipartPayload) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- execute(String, Map<String, String>, Verb, String, MultipartPayload) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- execute(String, Map<String, String>, Verb, String, File) - Method in class com.github.scribejava.core.httpclient.AbstractAsyncOnlyHttpClient
- execute(String, Map<String, String>, Verb, String, File) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière synchrone en envoyant un fichier.
- execute(String, Map<String, String>, Verb, String, File) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- execute(String, Map<String, String>, Verb, String, File) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- execute(String, Map<String, String>, Verb, String, String) - Method in class com.github.scribejava.core.httpclient.AbstractAsyncOnlyHttpClient
- execute(String, Map<String, String>, Verb, String, String) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière synchrone avec un corps textuel.
- execute(String, Map<String, String>, Verb, String, String) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- execute(String, Map<String, String>, Verb, String, String) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- execute(K, OAuthRequest) - Method in class com.github.scribejava.core.integration.AuthorizedClientService
- executeAsync(String, Map<String, String>, Verb, String, byte[], OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière asynchrone avec un corps sous forme de tableau d'octets.
- executeAsync(String, Map<String, String>, Verb, String, byte[], OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- executeAsync(String, Map<String, String>, Verb, String, byte[], OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.armeria.ArmeriaHttpClient
- executeAsync(String, Map<String, String>, Verb, String, byte[], OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- executeAsync(String, Map<String, String>, Verb, String, MultipartPayload, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière asynchrone avec un corps multipart.
- executeAsync(String, Map<String, String>, Verb, String, MultipartPayload, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- executeAsync(String, Map<String, String>, Verb, String, MultipartPayload, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.armeria.ArmeriaHttpClient
- executeAsync(String, Map<String, String>, Verb, String, MultipartPayload, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- executeAsync(String, Map<String, String>, Verb, String, File, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière asynchrone en envoyant un fichier.
- executeAsync(String, Map<String, String>, Verb, String, File, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- executeAsync(String, Map<String, String>, Verb, String, File, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.armeria.ArmeriaHttpClient
- executeAsync(String, Map<String, String>, Verb, String, File, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- executeAsync(String, Map<String, String>, Verb, String, String, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in interface com.github.scribejava.core.httpclient.HttpClient
-
Exécute une requête de manière asynchrone avec un corps textuel.
- executeAsync(String, Map<String, String>, Verb, String, String, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClient
- executeAsync(String, Map<String, String>, Verb, String, String, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.armeria.ArmeriaHttpClient
- executeAsync(String, Map<String, String>, Verb, String, String, OAuthAsyncRequestCallback<T>, OAuthRequest.ResponseConverter<T>) - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClient
- EXPIRED_TOKEN - com.github.scribejava.core.oauth2.OAuth2Error
-
RFC 8628, 3.5.
- ExpiringTokenWrapper - Class in com.github.scribejava.core.integration
-
Encapsule un jeton OAuth 2.0 avec sa date d'expiration calculée lors de la réception.
- ExpiringTokenWrapper() - Constructor for class com.github.scribejava.core.integration.ExpiringTokenWrapper
-
Constructeur par défaut pour la sérialisation.
- ExpiringTokenWrapper(OAuth2AccessToken) - Constructor for class com.github.scribejava.core.integration.ExpiringTokenWrapper
- ExpiringTokenWrapper(OAuth2AccessToken, Instant) - Constructor for class com.github.scribejava.core.integration.ExpiringTokenWrapper
- extract(OAuthRequest) - Method in interface com.github.scribejava.core.extractors.BaseStringExtractor
-
Extracts an url-encoded base string from the
OAuthRequest. - extract(OAuthRequest) - Method in class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- extract(OAuthRequest) - Method in interface com.github.scribejava.core.extractors.HeaderExtractor
-
Generates an OAuth 'Authorization' Http header to include in requests as the signature.
- extract(OAuthRequest) - Method in class com.github.scribejava.core.extractors.HeaderExtractorImpl
-
Generates an OAuth 'Authorization' Http header to include in requests as the signature.
- extract(Response) - Method in class com.github.scribejava.core.extractors.AbstractJsonExtractor
- extract(Response) - Method in class com.github.scribejava.core.extractors.OAuth2AccessTokenExtractor
-
Extracts the concrete type of token from the contents of an Http Response
- extract(Response) - Method in class com.github.scribejava.core.extractors.OAuth2AccessTokenJsonExtractor
- extract(Response) - Method in interface com.github.scribejava.core.extractors.TokenExtractor
-
Extracts the concrete type of token from the contents of an Http Response
- extract(Response) - Method in class com.github.scribejava.oauth1.extractors.AbstractOAuth1TokenExtractor
- extract(Response) - Method in class com.github.scribejava.oidc.UserInfoJsonExtractor
-
Extrait les revendications (Claims) à partir de la réponse HTTP.
- extractAuthorization(String) - Method in class com.github.scribejava.core.oauth.OAuth20Service
- extractRequiredParameter(Map<String, Object>, String, String) - Static method in class com.github.scribejava.core.extractors.AbstractJsonExtractor
-
Extrait un paramètre obligatoire d'une Map JSON.
- extraParameters(Map<String, String>) - Method in class com.github.scribejava.core.oauth.AccessTokenRequestParams
F
- FileByteArrayBodyPartPayload - Class in com.github.scribejava.core.httpclient.multipart
-
Implémentation de
BodyPartPayloadsimulant un fichier à partir d'un tableau d'octets. - FileByteArrayBodyPartPayload(byte[], int, int, String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur avec décalage, longueur et nom.
- FileByteArrayBodyPartPayload(byte[], int, int, String, String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur complet sans type de contenu.
- FileByteArrayBodyPartPayload(byte[], String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur avec nom de champ.
- FileByteArrayBodyPartPayload(byte[], String, String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur avec nom de champ et nom de fichier.
- FileByteArrayBodyPartPayload(String, byte[], int, int, String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur avec type de contenu, décalage, longueur et nom.
- FileByteArrayBodyPartPayload(String, byte[], int, int, String, String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur complet avec type de contenu.
- FileByteArrayBodyPartPayload(String, byte[], String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur avec type de contenu et nom.
- FileByteArrayBodyPartPayload(String, byte[], String, String) - Constructor for class com.github.scribejava.core.httpclient.multipart.FileByteArrayBodyPartPayload
-
Constructeur avec type de contenu, données, nom et nom de fichier.
- findByKey(K) - Method in interface com.github.scribejava.core.integration.TokenRepository
-
Récupère un jeton via sa clé.
- finishAuthorization(K, String, String, AuthSessionContext) - Method in class com.github.scribejava.core.integration.OidcAuthFlowCoordinator
-
Termine le flux OIDC avec validation du contexte de session et fallback UserInfo.
- finishAuthorization(K, String, String, String) - Method in class com.github.scribejava.core.integration.AuthFlowCoordinator
-
Termine le flux d'autorisation.
- FlickrApi - Class in com.github.scribejava.oauth1.apis
-
API OAuth 1.0a pour Flickr.
- FlickrApi() - Constructor for class com.github.scribejava.oauth1.apis.FlickrApi
- FlickrApi(FlickrApi.FlickrPerm) - Constructor for class com.github.scribejava.oauth1.apis.FlickrApi
- FlickrApi.FlickrPerm - Enum in com.github.scribejava.oauth1.apis
-
Niveaux de permission pour l'API Flickr.
- flush() - Method in class com.github.scribejava.core.integration.DiskOidcDiscoveryCache
-
Persiste l'état actuel du cache mémoire vers le fichier disque.
- FoursquareApi - Class in com.github.scribejava.oauth1.apis
-
API OAuth 1.0a pour Foursquare.
- FoursquareApi() - Constructor for class com.github.scribejava.oauth1.apis.FoursquareApi
- FrappeApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Frappe.
- FrappeApi(String) - Constructor for class com.github.scribejava.apis.FrappeApi
-
Constructeur protégé.
- FreelancerApi - Class in com.github.scribejava.oauth1.apis
-
API OAuth 1.0a pour Freelancer.
- FreelancerApi() - Constructor for class com.github.scribejava.oauth1.apis.FreelancerApi
- FreelancerApi.Sandbox - Class in com.github.scribejava.oauth1.apis
-
Version Sandbox de l'API Freelancer.
G
- generate() - Method in class com.github.scribejava.core.integration.StateGenerator
-
Génère une chaîne aléatoire sécurisée encodée en URL-safe Base64.
- generate() - Static method in class com.github.scribejava.oidc.model.OidcNonce
-
Génère un nonce aléatoire sécurisé de 32 octets (URL-safe Base64).
- generateDefaultBoundary() - Static method in class com.github.scribejava.core.httpclient.multipart.MultipartUtils
-
Génère un séparateur par défaut.
- generateError(Response) - Method in class com.github.scribejava.core.extractors.OAuth2AccessTokenJsonExtractor
-
Analyse la réponse d'erreur.
- generatePKCE() - Method in class com.github.scribejava.core.pkce.PKCEService
-
Génère un nouvel objet PKCE complet (verifier et challenge).
- generatePKCE(byte[]) - Method in class com.github.scribejava.core.pkce.PKCEService
-
Génère un objet PKCE à partir d'octets aléatoires fournis.
- GeniusApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour Genius.
- GeniusApi() - Constructor for class com.github.scribejava.apis.GeniusApi
-
Constructeur protégé.
- get(String) - Method in class com.github.scribejava.oidc.DefaultOidcKeyCache
-
Retrieves an OIDC key from the cache by its Key ID (kid).
- get(String) - Method in interface com.github.scribejava.oidc.OidcKeyCache
-
Retrieves an OIDC key from the cache by its Key ID (kid).
- GET - com.github.scribejava.core.model.Verb
- getAccessToken() - Method in class com.github.scribejava.core.dpop.DPoPInterceptor
- getAccessToken() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- getAccessToken(AccessTokenRequestParams) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessToken(OAuth20Grant) - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getAccessToken(OAuth20Grant) - Method in class com.github.scribejava.core.oauth.OAuth20SyncService
- getAccessToken(OAuth20Grant) - Method in class com.github.scribejava.oidc.OidcService
- getAccessToken(OAuth1RequestToken, String) - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Échange le jeton de requête autorisé contre un jeton d'accès.
- getAccessToken(String) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessToken(String, OAuthAsyncRequestCallback<OAuth2AccessToken>) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.use
OAuth20Service.getAccessTokenAsync(OAuth20Grant, OAuthAsyncRequestCallback) - getAccessToken(String, OidcSessionState) - Method in class com.github.scribejava.oidc.OidcService
-
Retrieves the access token using authorization code and performs ID Token validation using session state.
- getAccessToken(String, String) - Method in class com.github.scribejava.oidc.OidcService
-
Retrieves the access token using authorization code and loads session state for verification.
- getAccessTokenAsync(OAuth20Grant) - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getAccessTokenAsync(OAuth1RequestToken, String) - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Échange asynchrone pour l'obtention du jeton d'accès.
- getAccessTokenAsync(OAuth1RequestToken, String, OAuthAsyncRequestCallback<OAuth1AccessToken>) - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Échange asynchrone avec rappel pour l'obtention du jeton d'accès.
- getAccessTokenAsync(String) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessTokenAsync(String, OAuthAsyncRequestCallback<OAuth2AccessToken>) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.use
OAuth20Service.getAccessTokenAsync(OAuth20Grant, OAuthAsyncRequestCallback) - getAccessTokenAsync(String, OidcSessionState) - Method in class com.github.scribejava.oidc.OidcService
-
Asynchronously retrieves the access token using authorization code and performs ID Token validation.
- getAccessTokenAsync(String, String) - Method in class com.github.scribejava.oidc.OidcService
-
Asynchronously retrieves the access token using authorization code and loads session state for verification.
- getAccessTokenClientCredentialsGrant() - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessTokenClientCredentialsGrantAsync() - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.Asana20Api
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.BoxApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.DataportenApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.DiscordApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.DoktornaraboteApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.DropboxApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.FrappeApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.GeniusApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.GitHubApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.GoogleApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.HHApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.HiOrgServerApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.KakaoApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.KeycloakApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.LinkedInApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.LiveApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.MeetupApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.PinterestApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.PolarAPI
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.SlackApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.StackExchangeApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.TheThingsNetworkV1StagingApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.TheThingsNetworkV2PreviewApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.apis.XeroApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne l'URL qui reçoit les requêtes de jeton d'accès.
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.AWeberApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.DiggApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.EtsyApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FlickrApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FoursquareApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FreelancerApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FreelancerApi.Sandbox
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.LinkedInApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.MediaWikiApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.MeetupApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.Px500Api
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.SinaWeiboApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.SkyrockApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.TrelloApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.TumblrApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.TwitterApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.UcozApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.YahooApi
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'URL pour l'obtention du jeton d'accès (Access Token).
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oidc.OidcGitHubApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oidc.OidcGoogleApi20
- getAccessTokenEndpoint() - Method in class com.github.scribejava.oidc.OidcMicrosoftAzureActiveDirectory20Api
- getAccessTokenExtractor() - Method in class com.github.scribejava.apis.FrappeApi
- getAccessTokenExtractor() - Method in class com.github.scribejava.apis.GitHubApi
- getAccessTokenExtractor() - Method in class com.github.scribejava.apis.KeycloakApi
- getAccessTokenExtractor() - Method in class com.github.scribejava.apis.PolarAPI
- getAccessTokenExtractor() - Method in class com.github.scribejava.apis.SlackApi
- getAccessTokenExtractor() - Method in class com.github.scribejava.apis.StackExchangeApi
- getAccessTokenExtractor() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne l'extracteur de jeton d'accès.
- getAccessTokenExtractor() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'extracteur de jeton d'accès (Access Token).
- getAccessTokenPasswordGrant(String, String) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessTokenPasswordGrantAsync(String, String) - Method in class com.github.scribejava.core.oauth.OAuth20Service
-
Deprecated.
- getAccessTokenVerb() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne le verbe HTTP pour le point de terminaison de jeton d'accès (POST par défaut).
- getAccessTokenVerb() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne le verbe HTTP pour le point de terminaison de jeton d'accès (POST par défaut).
- getAddress() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'adresse postale de l'utilisateur.
- getAlg() - Method in class com.github.scribejava.oidc.model.EcOidcKey
- getAlg() - Method in interface com.github.scribejava.oidc.model.OidcKey
- getAlg() - Method in class com.github.scribejava.oidc.model.RsaOidcKey
- getAlgorithm() - Method in interface com.github.scribejava.oidc.model.JwtSigner
- getAlgorithm() - Method in class com.github.scribejava.oidc.model.JwtSigner.RsaSha256Signer
- getAllClaims() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne toutes les revendications brutes.
- getAllServices() - Method in class com.github.scribejava.core.integration.OAuthServiceRegistry
- getApi() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getApi() - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Retourne l'instance de l'API associée à ce service.
- getApiKey() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getApiKey() - Method in class com.github.scribejava.core.oauth.OAuthService
- getApiSecret() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getApiSecret() - Method in class com.github.scribejava.core.oauth.OAuthService
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.Asana20Api
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.BoxApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.DataportenApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.DiscordApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.DoktornaraboteApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.DropboxApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.FrappeApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.GeniusApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.GitHubApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.GoogleApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.HHApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.HiOrgServerApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.KakaoApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.KeycloakApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.LinkedInApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.LiveApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.MeetupApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.PinterestApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.PolarAPI
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.SlackApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.StackExchangeApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.TheThingsNetworkV1StagingApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.TheThingsNetworkV2PreviewApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.apis.XeroApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne l'URL de base pour l'autorisation.
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.AWeberApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.DiggApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.EtsyApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.FlickrApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.FoursquareApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.FreelancerApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.FreelancerApi.Sandbox
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.LinkedInApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.MediaWikiApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.MeetupApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.Px500Api
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.SinaWeiboApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.SkyrockApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.TrelloApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.TumblrApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.TwitterApi.Authenticate
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.TwitterApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.UcozApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.apis.YahooApi
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oidc.OidcGitHubApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oidc.OidcGoogleApi20
- getAuthorizationBaseUrl() - Method in class com.github.scribejava.oidc.OidcMicrosoftAzureActiveDirectory20Api
- getAuthorizationEndpoint() - Method in class com.github.scribejava.core.oauth.DiscoveredEndpoints
- getAuthorizationEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getAuthorizationRequestConverter() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getAuthorizationRequestConverter() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getAuthorizationRequestInterceptors() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getAuthorizationUrl() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getAuthorizationUrl(OAuth1RequestToken) - Method in class com.github.scribejava.oauth1.apis.LinkedInApi
- getAuthorizationUrl(OAuth1RequestToken) - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'URL vers laquelle rediriger l'utilisateur pour autoriser l'application.
- getAuthorizationUrl(OidcSessionState) - Method in class com.github.scribejava.oidc.OidcService
-
Generates the authorization URL using parameters from the provided OIDC session state.
- getAuthorizationUrlParams() - Method in class com.github.scribejava.core.pkce.PKCE
-
Retourne les paramètres à ajouter à l'URL d'autorisation pour PKCE.
- getBackoffMultiplier() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Gets the backoff multiplier used for calculated retry delay.
- getBaseStringExtractor() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'extracteur de chaîne de base pour la signature.
- getBearerSignature() - Method in class com.github.scribejava.apis.BoxApi20
- getBearerSignature() - Method in class com.github.scribejava.apis.LiveApi
- getBearerSignature() - Method in class com.github.scribejava.apis.MicrosoftAzureActiveDirectory20Api
- getBearerSignature() - Method in class com.github.scribejava.apis.StackExchangeApi
- getBearerSignature() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne le mécanisme de signature Bearer (RFC 6750).
- getBirthdate() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne la date de naissance.
- getBody() - Method in class com.github.scribejava.core.model.Response
-
Retourne le corps de la réponse sous forme de chaîne de caractères.
- getBodyParams() - Method in class com.github.scribejava.core.model.OAuthRequest
-
Récupère la liste des paramètres du corps de la requête.
- getBodyParts() - Method in class com.github.scribejava.core.httpclient.multipart.MultipartPayload
-
Retourne la liste des parties.
- getBoundary() - Method in class com.github.scribejava.core.httpclient.multipart.MultipartPayload
-
Retourne le séparateur.
- getByteArrayPayload() - Method in class com.github.scribejava.core.model.OAuthRequest
- getCallback() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getCallback() - Method in class com.github.scribejava.core.oauth.OAuthService
- getCharset() - Method in class com.github.scribejava.core.model.OAuthRequest
- getClaim(String) - Method in class com.github.scribejava.oidc.IdToken
- getClaimOptional(String) - Method in class com.github.scribejava.oidc.IdToken
-
Retourne une revendication de manière sécurisée.
- getClaims() - Method in class com.github.scribejava.oidc.IdToken
- getClientAuthentication() - Method in class com.github.scribejava.apis.HHApi
- getClientAuthentication() - Method in class com.github.scribejava.apis.KakaoApi
- getClientAuthentication() - Method in class com.github.scribejava.apis.LinkedInApi20
- getClientAuthentication() - Method in class com.github.scribejava.apis.MeetupApi20
- getClientAuthentication() - Method in class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
- getClientAuthentication() - Method in class com.github.scribejava.apis.PinterestApi
- getClientAuthentication() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne le mécanisme d'authentification du client (RFC 6749).
- getClientBuilder() - Method in class com.github.scribejava.httpclient.okhttp.OkHttpHttpClientConfig
-
Retourne le constructeur de client OkHttp.
- getCode() - Method in class com.github.scribejava.core.model.OAuth2Authorization
-
Retourne le code d'autorisation.
- getCode() - Method in class com.github.scribejava.core.model.Response
-
Retourne le code de statut HTTP.
- getCode() - Method in class com.github.scribejava.core.oauth.AccessTokenRequestParams
- getCode() - Method in class com.github.scribejava.core.oauth2.grant.AuthorizationCodeGrant
- getCodeChallenge() - Method in class com.github.scribejava.core.pkce.PKCE
-
Retourne le code challenge.
- getCodeChallengeMethod() - Method in class com.github.scribejava.core.pkce.PKCE
-
Retourne la méthode de challenge utilisée.
- getCodeVerifier() - Method in class com.github.scribejava.core.pkce.PKCE
-
Retourne le code verifier.
- getCodeVerifier() - Method in class com.github.scribejava.oidc.OidcSessionState
-
Gets the PKCE code verifier.
- getCompleteUrl() - Method in class com.github.scribejava.core.model.OAuthRequest
-
Retourne l'URL complète (hôte + ressource + paramètres de requête encodés).
- getConnectTimeout() - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClientConfig
-
Retourne le délai d'attente de connexion.
- getConnectTimeout() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Gets the connection timeout in milliseconds.
- getDebugStream() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getDefaultScope() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getDefaultScope() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getDelayMs() - Method in class com.github.scribejava.core.oauth.OAuthRetryPolicy
- getDeviceAuthorizationCodes() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getDeviceAuthorizationCodes(String) - Method in class com.github.scribejava.core.oauth.OAuth20DeviceFlowHandler
- getDeviceAuthorizationCodesAsync() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getDeviceAuthorizationCodesAsync(OAuthAsyncRequestCallback<DeviceAuthorization>) - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getDeviceAuthorizationEndpoint() - Method in class com.github.scribejava.apis.GoogleApi20
- getDeviceAuthorizationEndpoint() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne le point de terminaison pour l'autorisation d'appareil (RFC 8628).
- getDeviceAuthorizationExtractor() - Method in class com.github.scribejava.apis.GoogleApi20
- getDeviceAuthorizationExtractor() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne l'extracteur pour l'autorisation d'appareil.
- getDeviceCode() - Method in class com.github.scribejava.core.model.DeviceAuthorization
-
Retourne le code de l'appareil (device_code).
- getDiscoveryIssuer() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getDiscoveryService() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getDpopProofCreator() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getDpopSigningAlgValuesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getEmail() - Method in class com.github.scribejava.core.integration.OidcAuthResult
-
Retourne l'email consolidé.
- getEmail() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'adresse e-mail de l'utilisateur.
- getEndpointVersionPath() - Method in class com.github.scribejava.apis.microsoftazureactivedirectory.BaseMicrosoftAzureActiveDirectoryApi
- getEndpointVersionPath() - Method in class com.github.scribejava.apis.MicrosoftAzureActiveDirectory20Api
- getEndSessionEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getEpilogue() - Method in class com.github.scribejava.core.httpclient.multipart.MultipartPayload
-
Retourne l'épilogue.
- getError() - Method in exception com.github.scribejava.core.model.OAuth2AccessTokenErrorResponse
-
Retourne le code d'erreur (error).
- getErrorDescription() - Method in exception com.github.scribejava.core.model.OAuth2AccessTokenErrorResponse
-
Retourne la description de l'erreur (error_description).
- getErrorDetails() - Method in exception com.github.scribejava.core.model.OAuthResponseException
-
Retourne les détails de l'erreur sous forme d'objet JSON typé.
- getErrorUri() - Method in exception com.github.scribejava.core.model.OAuth2AccessTokenErrorResponse
-
Retourne l'URI d'aide (error_uri).
- getExpirationInstant() - Method in class com.github.scribejava.core.integration.ExpiringTokenWrapper
- getExpiresAt() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
-
Calcule la date d'expiration absolue.
- getExpiresIn() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- getExpiresIn() - Method in class com.github.scribejava.core.model.PushedAuthorizationResponse
- getExpiresInSeconds() - Method in class com.github.scribejava.core.model.DeviceAuthorization
-
Retourne le délai d'expiration en secondes.
- getExtraParameters() - Method in class com.github.scribejava.core.oauth.AccessTokenRequestParams
- getFamilyName() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le nom de famille de l'utilisateur.
- getFilePayload() - Method in class com.github.scribejava.core.model.OAuthRequest
- getFrontChannelLogoutIframeHtml(String, String, String) - Static method in class com.github.scribejava.oidc.OidcSessionHelper
-
Génère le code HTML pour l'iframe de déconnexion via le navigateur (Front-Channel Logout).
- getGender() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le sexe de l'utilisateur.
- getGivenName() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le prénom de l'utilisateur.
- getGrantTypesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getGzipStreamContents(InputStream) - Static method in class com.github.scribejava.core.utils.StreamUtils
-
Return String content from a gzip stream
- getHeader() - Method in class com.github.scribejava.oidc.model.Jwt
- getHeader(String) - Method in class com.github.scribejava.core.model.Response
-
Récupère la valeur d'un en-tête spécifique.
- getHeaderExtractor() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'extracteur d'en-tête d'autorisation.
- getHeaders() - Method in class com.github.scribejava.core.httpclient.multipart.BodyPartPayload
-
Retourne les en-têtes de cette partie.
- getHeaders() - Method in class com.github.scribejava.core.model.OAuthRequest
- getHostnameVerifier() - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClientConfig
-
Retourne le vérificateur de nom d'hôte (HostnameVerifier).
- getHttpClient() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getHttpClientConfig() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getIdTokenSigningAlgValuesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getIdTokenValidator() - Method in class com.github.scribejava.oidc.OidcService
- getInitialDelayMs() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Gets the initial delay in milliseconds for retrying network operations.
- getInstant(String) - Method in class com.github.scribejava.core.model.JsonObject
-
Récupère un Instant à partir d'un timestamp en secondes.
- getInternalCache() - Method in class com.github.scribejava.core.integration.OidcDiscoveryCache
- getIntervalSeconds() - Method in class com.github.scribejava.core.model.DeviceAuthorization
-
Retourne l'intervalle de scrutation conseillé (interval).
- getIntrospectionEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getIssuer() - Method in class com.github.scribejava.oidc.OidcGitHubApi20
-
Retourne l'identifiant de l'émetteur (Issuer) officiel de GitHub Actions.
- getIssuer() - Method in class com.github.scribejava.oidc.OidcGoogleApi20
-
Retourne l'identifiant de l'émetteur (Issuer) officiel de Google.
- getIssuer() - Method in class com.github.scribejava.oidc.OidcMicrosoftAzureActiveDirectory20Api
-
Retourne l'identifiant de l'émetteur (Issuer) pour le tenant configuré.
- getIssuer() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getIssuerValidator() - Method in class com.github.scribejava.oidc.IdTokenValidator
-
Gets the issuer validator.
- getIssuerValidator() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Gets the issuer validator.
- getJwks(String) - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Clés JWKS.
- getJwksAsync(String) - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Clés JWKS asynchrones avec support du cache RFC 7234, des ETags et des retries.
- getJwksUri() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getJwksUri() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getKey() - Method in class com.github.scribejava.core.model.Parameter
- getKeys() - Method in class com.github.scribejava.oidc.IdTokenValidator
-
Gets the key cache.
- getKid() - Method in class com.github.scribejava.oidc.model.EcOidcKey
- getKid() - Method in interface com.github.scribejava.oidc.model.OidcKey
- getKid() - Method in class com.github.scribejava.oidc.model.RsaOidcKey
- getLen() - Method in class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Retourne la longueur.
- getListener() - Method in class com.github.scribejava.core.integration.AuthFlowCoordinator
- getLocale() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne la locale de l'utilisateur.
- getLogger() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getLogoutUrl(String, String, String, String) - Method in class com.github.scribejava.oidc.OidcService
-
Generates the RP-Initiated Logout URL for this service.
- getLogoutUrl(String, String, String, String, String) - Static method in class com.github.scribejava.oidc.OidcSessionHelper
-
Génère l'URL de déconnexion RP-Initiated Logout.
- getLong(String) - Method in class com.github.scribejava.core.model.JsonObject
- getMap(String) - Method in class com.github.scribejava.core.model.JsonObject
- getMaxAttempts() - Method in class com.github.scribejava.core.oauth.OAuthRetryPolicy
- getMaxAttempts() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Gets the maximum number of network retry attempts.
- getMessage() - Method in exception com.github.scribejava.core.exceptions.OAuthRateLimitException
-
Retourne un message détaillé incluant le code de statut et le corps de la réponse.
- getMetadata() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getMetadata(String, OidcDiscoveryService) - Method in class com.github.scribejava.core.integration.DiskOidcDiscoveryCache
-
Récupère les métadonnées depuis le disque, la mémoire ou le réseau.
- getMetadata(String, OidcDiscoveryService) - Method in class com.github.scribejava.core.integration.OidcDiscoveryCache
-
Récupère les métadonnées depuis le cache ou utilise le service fourni pour les découvrir.
- getMiddleName() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le deuxième prénom de l'utilisateur.
- getMultipartPayload() - Method in class com.github.scribejava.core.model.OAuthRequest
- getName() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le nom complet de l'utilisateur.
- getNickname() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le pseudonyme de l'utilisateur.
- getNonce() - Method in class com.github.scribejava.core.integration.AuthSessionContext
- getNonce() - Method in interface com.github.scribejava.core.services.TimestampService
-
Returns a nonce (unique value for each request)
- getNonce() - Method in class com.github.scribejava.core.services.TimestampServiceImpl
-
Returns a nonce (unique value for each request)
- getNonce() - Method in class com.github.scribejava.oidc.OidcSessionState
-
Gets the OIDC nonce.
- getOAuth2Error() - Method in exception com.github.scribejava.core.model.OAuthResponseException
-
Retourne le code d'erreur standardisé.
- getOauthParameters() - Method in class com.github.scribejava.core.model.OAuthRequest
- getOauthService() - Method in class com.github.scribejava.core.integration.AuthorizedClientService
- getOff() - Method in class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Retourne le décalage.
- getOpenIdToken() - Method in class com.github.scribejava.apis.openid.OpenIdOAuth2AccessToken
- getParams() - Method in class com.github.scribejava.core.model.ParameterList
-
Retourne la liste brute des paramètres.
- getPayload() - Method in class com.github.scribejava.core.httpclient.multipart.ByteArrayBodyPartPayload
-
Retourne le tableau d'octets.
- getPayload() - Method in class com.github.scribejava.oidc.model.Jwt
- getPayload(MultipartPayload) - Static method in class com.github.scribejava.core.httpclient.multipart.MultipartUtils
-
Génère le corps de la requête Multipart sous forme de flux de sortie.
- getPhoneNumber() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le numéro de téléphone.
- getPicture() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'URL de la photo de profil.
- getPkce() - Method in class com.github.scribejava.core.integration.AuthSessionContext
- getPkce() - Method in class com.github.scribejava.core.oauth.AuthorizationUrlBuilder
- getPkceCodeVerifier() - Method in class com.github.scribejava.core.oauth.AccessTokenRequestParams
- getPreamble() - Method in class com.github.scribejava.core.httpclient.multipart.MultipartPayload
-
Retourne le préambule.
- getPreferredUsername() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne le nom d'utilisateur préféré.
- getProfile() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'URL de la page de profil.
- getProvider() - Method in class com.github.scribejava.oidc.model.DefaultSignatureVerifier
-
Gets the JCA Provider.
- getProviderMetadata() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Métadonnées.
- getProviderMetadataAsync() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Métadonnées asynchrones avec support des retries et du backoff.
- getProviderName() - Method in class com.github.scribejava.oidc.model.DefaultSignatureVerifier
-
Gets the name of the JCA Provider.
- getProxy() - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClientConfig
-
Retourne le proxy configuré.
- getPublicKey() - Method in class com.github.scribejava.oidc.model.EcOidcKey
- getPublicKey() - Method in interface com.github.scribejava.oidc.model.OidcKey
- getPublicKey() - Method in class com.github.scribejava.oidc.model.RsaOidcKey
- getPushedAuthorizationRequestEndpoint() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne le point de terminaison PAR (RFC 9126).
- getPushedAuthorizationRequestEndpoint() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getPushedAuthorizationRequestEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getQueryStringParams() - Method in class com.github.scribejava.core.model.OAuthRequest
-
Récupère la liste des paramètres de la chaîne de requête.
- getRawResponse() - Method in class com.github.scribejava.core.model.Token
-
Retourne la réponse brute à partir de laquelle le jeton a été extrait.
- getRawResponse() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getRawToken() - Method in class com.github.scribejava.oidc.model.Jwt
- getReadTimeout() - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClientConfig
-
Retourne le délai d'attente de lecture.
- getReadTimeout() - Method in class com.github.scribejava.oidc.OidcDiscoveryService
-
Gets the read timeout in milliseconds.
- getRealm() - Method in class com.github.scribejava.core.model.OAuthRequest
- getReceivedAt() - Method in class com.github.scribejava.core.integration.ExpiringTokenWrapper
- getRefreshToken() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- getRefreshTokenEndpoint() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne l'URL pour le renouvellement de jeton (identique au jeton d'accès par défaut).
- getRegistrationEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getRenewer() - Method in class com.github.scribejava.core.integration.AuthorizedClientService
- getRequest() - Method in class com.github.scribejava.core.model.Response
- getRequestToken() - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Récupère le jeton de requête (Request Token).
- getRequestTokenAsync() - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Récupère le jeton de requête de manière asynchrone.
- getRequestTokenAsync(OAuthAsyncRequestCallback<OAuth1RequestToken>) - Method in class com.github.scribejava.oauth1.oauth.OAuth10aService
-
Deprecated.Récupère le jeton de requête de manière asynchrone avec rappel.
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.AWeberApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.DiggApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.EtsyApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FlickrApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FoursquareApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FreelancerApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.FreelancerApi.Sandbox
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.LinkedInApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.MediaWikiApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.MeetupApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.Px500Api
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.SinaWeiboApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.SkyrockApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.TrelloApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.TumblrApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.TwitterApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.UcozApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.apis.YahooApi
- getRequestTokenEndpoint() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'URL pour l'obtention du jeton de requête (Request Token).
- getRequestTokenExtractor() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne l'extracteur de jeton de requête (Request Token).
- getRequestTokenVerb() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne le verbe HTTP pour le point de terminaison de jeton de requête (POST par défaut).
- getRequestUri() - Method in class com.github.scribejava.core.model.PushedAuthorizationResponse
- getResponse() - Method in exception com.github.scribejava.core.model.OAuthResponseException
-
Retourne la réponse HTTP associée à cette exception.
- getResponseModesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getResponseType() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getResponseType() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getResponseTypesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getRevocationEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getRevokeTokenEndpoint() - Method in class com.github.scribejava.apis.DiscordApi
- getRevokeTokenEndpoint() - Method in class com.github.scribejava.apis.GoogleApi20
- getRevokeTokenEndpoint() - Method in class com.github.scribejava.apis.KeycloakApi
- getRevokeTokenEndpoint() - Method in class com.github.scribejava.core.builder.api.DefaultApi20
-
Retourne le point de terminaison de révocation de jeton (RFC 7009).
- getRevokeTokenEndpoint() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getRevokeTokenEndpoint() - Method in class com.github.scribejava.oidc.OidcGoogleApi20
- getSanitizedUrl() - Method in class com.github.scribejava.core.model.OAuthRequest
-
Retourne l'URL nettoyée (sans port standard ni chaîne de requête).
- getScope() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- getScope() - Method in class com.github.scribejava.core.oauth.AccessTokenRequestParams
- getScopesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getService(String) - Method in class com.github.scribejava.core.integration.OAuthServiceRegistry
-
Récupère le service associé à un fournisseur.
- getSessionManagementIframeHtml(String, String, String) - Static method in class com.github.scribejava.oidc.OidcSessionHelper
-
Génère le code HTML de l'iframe RP pour la gestion de session.
- getSessionStateStore() - Method in class com.github.scribejava.oidc.OidcService
-
Gets the session state store.
- getSignature() - Method in class com.github.scribejava.oidc.model.Jwt
- getSignature(String, String, String) - Method in interface com.github.scribejava.core.services.SignatureService
-
Returns the signature
- getSignature(String, String, String) - Method in class com.github.scribejava.oauth1.services.HMACSha1SignatureService
-
Returns the signature
- getSignature(String, String, String) - Method in class com.github.scribejava.oauth1.services.PlaintextSignatureService
- getSignature(String, String, String) - Method in class com.github.scribejava.oauth1.services.RSASha1SignatureService
-
Returns the signature
- getSignatureMethod() - Method in interface com.github.scribejava.core.services.SignatureService
-
Retourne le nom de la méthode de signature (ex: HMAC-SHA1).
- getSignatureMethod() - Method in class com.github.scribejava.oauth1.services.HMACSha1SignatureService
-
Retourne le nom de la méthode de signature (ex: HMAC-SHA1).
- getSignatureMethod() - Method in class com.github.scribejava.oauth1.services.PlaintextSignatureService
- getSignatureMethod() - Method in class com.github.scribejava.oauth1.services.RSASha1SignatureService
-
Retourne le nom de la méthode de signature (ex: HMAC-SHA1).
- getSignatureService() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne le service de signature (HMAC-SHA1 par défaut).
- getSignatureType() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne le type de signature utilisé (En-tête par défaut).
- getSignatureVerifier() - Method in class com.github.scribejava.oidc.IdTokenValidator
-
Gets the signature verifier.
- getSignedContent() - Method in class com.github.scribejava.oidc.model.Jwt
- getSortedAndEncodedParams(OAuthRequest) - Method in class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- getSslSocketFactory() - Method in class com.github.scribejava.core.httpclient.jdk.JDKHttpClientConfig
-
Retourne la fabrique de sockets SSL.
- getStandardClaims() - Method in class com.github.scribejava.oidc.IdToken
-
Retourne les revendications standards typées.
- getState() - Method in class com.github.scribejava.core.integration.AuthSessionContext
- getState() - Method in class com.github.scribejava.core.model.OAuth2Authorization
-
Retourne la valeur du paramètre state.
- getState() - Method in class com.github.scribejava.oidc.OidcSessionState
-
Gets the state value.
- getStream() - Method in class com.github.scribejava.core.model.Response
-
Retourne le flux de données brut de la réponse.
- getStreamContents(InputStream) - Static method in class com.github.scribejava.core.utils.StreamUtils
-
Returns the stream contents as an UTF-8 encoded string
- getString(String) - Method in class com.github.scribejava.core.model.JsonObject
- getStringList(String) - Method in class com.github.scribejava.core.model.JsonObject
- getStringPayload() - Method in class com.github.scribejava.core.model.OAuthRequest
- getSub() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'identifiant du sujet.
- getSubjectTypesSupported() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getTimestampInSeconds() - Method in interface com.github.scribejava.core.services.TimestampService
-
Returns the unix epoch timestamp in seconds
- getTimestampInSeconds() - Method in class com.github.scribejava.core.services.TimestampServiceImpl
-
Returns the unix epoch timestamp in seconds
- getTimestampService() - Method in class com.github.scribejava.oauth1.builder.api.DefaultApi10a
-
Retourne le service de marquage temporel (Timestamp).
- getToken() - Method in class com.github.scribejava.core.integration.AuthResult
- getToken() - Method in class com.github.scribejava.core.integration.ExpiringTokenWrapper
- getToken() - Method in class com.github.scribejava.core.integration.OidcAuthResult
- getToken() - Method in class com.github.scribejava.oauth1.model.OAuth1Token
- getTokenEndpoint() - Method in class com.github.scribejava.core.oauth.DiscoveredEndpoints
- getTokenEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getTokenSecret() - Method in class com.github.scribejava.oauth1.model.OAuth1Token
- getTokenType() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- getUpdatedAt() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne la date de dernière mise à jour des informations.
- getUrl() - Method in class com.github.scribejava.core.model.OAuthRequest
- getUrl(OAuthRequest) - Method in class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- getUserAccessToken() - Method in class com.github.scribejava.apis.slack.SlackOAuth2AccessToken
- getUserAgent() - Method in class com.github.scribejava.core.builder.ServiceBuilder
- getUserCode() - Method in class com.github.scribejava.core.model.DeviceAuthorization
-
Retourne le code utilisateur (user_code).
- getUserId() - Method in class com.github.scribejava.apis.polar.PolarOAuth2AccessToken
- getUserInfoAsync(OAuth2AccessToken) - Method in class com.github.scribejava.oidc.OidcService
- getUserInfoClaims() - Method in class com.github.scribejava.core.integration.OidcAuthResult
- getUserinfoEndpoint() - Method in class com.github.scribejava.oidc.DefaultOidcApi20
- getUserinfoEndpoint() - Method in class com.github.scribejava.oidc.OidcProviderMetadata
- getValidToken(K) - Method in class com.github.scribejava.core.integration.TokenAutoRenewer
- getValue() - Method in class com.github.scribejava.core.model.Parameter
- getValue() - Method in enum com.github.scribejava.core.revoke.TokenTypeHint
-
Retourne la valeur textuelle de l'indice (access_token ou refresh_token).
- getValue() - Method in class com.github.scribejava.oidc.model.OidcNonce
- getVerb() - Method in class com.github.scribejava.core.model.OAuthRequest
- getVerb(OAuthRequest) - Method in class com.github.scribejava.core.extractors.BaseStringExtractorImpl
- getVerificationUri() - Method in class com.github.scribejava.core.model.DeviceAuthorization
-
Retourne l'URI de vérification (verification_uri).
- getVerificationUriComplete() - Method in class com.github.scribejava.core.model.DeviceAuthorization
-
Retourne l'URI de vérification complète (verification_uri_complete).
- getVersion() - Method in class com.github.scribejava.core.oauth.OAuth20Service
- getWebsite() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'URL du site web de l'utilisateur.
- getZoneinfo() - Method in class com.github.scribejava.oidc.StandardClaims
-
Retourne l'identifiant du fuseau horaire.
- GitHubApi - Class in com.github.scribejava.apis
-
API OAuth 2.0 pour GitHub.
- GitHubApi() - Constructor for class com.github.scribejava.apis.GitHubApi
-
Constructeur protégé.
- GoogleApi20 - Class in com.github.scribejava.apis
-
API Google OAuth 2.0 avec support OpenID Connect.
- GoogleApi20() - Constructor for class com.github.scribejava.apis.GoogleApi20
-
Constructeur protégé.
- GoogleDeviceAuthorizationJsonExtractor - Class in com.github.scribejava.apis.google
-
Extracteur JSON spécifique à Google pour le Device Flow.
- GoogleDeviceAuthorizationJsonExtractor() - Constructor for class com.github.scribejava.apis.google.GoogleDeviceAuthorizationJsonExtractor
- GRANT_TYPE - Static variable in interface com.github.scribejava.core.model.OAuthConstants
H
- hashCode() - Method in class com.github.scribejava.apis.openid.OpenIdOAuth2AccessToken
- hashCode() - Method in class com.github.scribejava.apis.polar.PolarOAuth2AccessToken
- hashCode() - Method in class com.github.scribejava.apis.slack.SlackOAuth2AccessToken
- hashCode() - Method in class com.github.scribejava.core.model.OAuth2AccessToken
- hashCode() - Method in exception com.github.scribejava.core.model.OAuthResponseException
- hashCode() - Method in class com.github.scribejava.core.model.Parameter
- hashCode() - Method in class com.github.scribejava.oauth1.model.OAuth1Token
[...]
